/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListLayersInput } from "../types/ListLayersInput";
import { ListLayersOutput } from "../types/ListLayersOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/ListLayersInput";
export * from "../types/ListLayersOutput";
export * from "../types/ListLayersExceptionsUnion";
export declare class ListLayersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListLayersInput, OutputTypesUnion, ListLayersOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: ListLayersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListLayersInput, ListLayersOutput, _stream.Readable>;
    constructor(input: ListLayersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<ListLayersInput, ListLayersOutput>;
}
