"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _LayerVersionContentOutput_1 = require("./_LayerVersionContentOutput");
const _CompatibleRuntimes_1 = require("./_CompatibleRuntimes");
exports.PublishLayerVersionOutput = {
    type: "structure",
    required: [],
    members: {
        Content: {
            shape: _LayerVersionContentOutput_1._LayerVersionContentOutput
        },
        LayerArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        LayerVersionArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        CreatedDate: {
            shape: {
                type: "string"
            }
        },
        Version: {
            shape: {
                type: "integer"
            }
        },
        CompatibleRuntimes: {
            shape: _CompatibleRuntimes_1._CompatibleRuntimes
        },
        LicenseInfo: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PublishLayerVersionOutput.js.map